package com.trade.service.trade.purchasecontract.domain;

import java.math.BigDecimal;

import com.trade.common.core.domain.BaseEntity;

/**
 * 采购商品表表实体类
 *
 * @author hlb
 * @since 2024-09-07 16:23:02
 */
public class PurchaseCommodity extends BaseEntity<PurchaseCommodity> {

    /**
     * 采购合同号
     */
    private Long purchaseContractId;
    /**
     * 销售合同id主键
     */
    private Long salesContractId;
    /**
     * 销售商品id主键
     */
    private Long salesCommodityId;
    /**
     * 采购数量
     */
    private BigDecimal number;
    /**
     * 采购单价
     */
    private BigDecimal priceUnit;
    /**
     * 币种
     */
    private String currency;
    /**
     * 采购金额
     */
    private BigDecimal amount;
    /**
     * 采购金额(含税)
     */
    private BigDecimal totalAmount;
    public Long getPurchaseContractId() {
        return purchaseContractId;
    }

    public void setPurchaseContractId(Long purchaseContractId) {
        this.purchaseContractId = purchaseContractId;
    }

    public Long getSalesContractId() {
        return salesContractId;
    }

    public void setSalesContractId(Long salesContractId) {
        this.salesContractId = salesContractId;
    }

    public Long getSalesCommodityId() {
        return salesCommodityId;
    }

    public void setSalesCommodityId(Long salesCommodityId) {
        this.salesCommodityId = salesCommodityId;
    }

    public BigDecimal getNumber() {
        return number;
    }

    public void setNumber(BigDecimal number) {
        this.number = number;
    }

    public BigDecimal getPriceUnit() {
        return priceUnit;
    }

    public void setPriceUnit(BigDecimal priceUnit) {
        this.priceUnit = priceUnit;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }
}
